Subject: bug#43702: Emacs master: Incorrect highlighting in regexp isearch.

From: Juri Linkov <[email-masked]>
Date: Tue, 13 Oct 2020 23:14:01 +0300

>> > It's helpful in pretty much any context where regexps
>> > are matched against text, IMO.
>>
>> I think you are right.  So here is a patch that implements this:
>
> It's probably not my place to criticize your patch.
> But in case it helps:
>
> I don't understand why you change the signature of
> `replace-highlight' by adding parameter MATCH-DATA.
>
> I just use (match-beginning GROUP) and (match-end GROUP),
> instead of explicitly passing the match data and then
> copying it all with `butlast' etc. just to find the
> group's match beginning and end.

But as you can see in the patch, it doesn't use (match-data).
It uses the variable 'real-match-data'.